import { Component, OnInit } from '@angular/core';
import {DomSanitizer} from '@angular/platform-browser';
import { BsModalService, ModalOptions, BsModalRef } from 'ngx-bootstrap/modal';
import { FramePager } from '../../../../../core/frame/pager/frame-pager/frame-pager';
import { AjaxService } from '../../../../../core/service/ajax.service';
import { MsgService } from '../../../../../core/service/msg.service';
import { FrameDetailComponent } from '../../../../frame/core/detail/frame.detail';
import { FormBuilder } from '@angular/forms';

@Component({
  selector: 'app-exam-batch-room-detail',
  templateUrl: './exam-batch-room-detail.component.html',
  styleUrls: ['./exam-batch-room-detail.component.scss']
})
export class ExamBatchRoomDetailComponent extends FrameDetailComponent implements OnInit {

  constructor(bsModalRef: BsModalRef, fb: FormBuilder) { 
    super(bsModalRef);
  }

  ngOnInit(): void {
  }

  cancelQueue(std) {
    this.MsgService.confirmAlert('确定要取消该考生的排队吗?', () => {
      this.AjaxService.request('exam/extract/all/info/std/cancel.htm', {std_id: std.std_id, ly_group_id: std.ly_group_id}, () => {
        this.MsgService.successToastr('取消成功！');
        this.pager.reload();
      });
    });
  }

}
